> ## Documentation Index
> Fetch the complete documentation index at: https://docs.loopreturns.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Product from Collection

> Delete a product from a collection.



## OpenAPI

````yaml delete /collections/{id}/products/{productId}
openapi: 3.1.0
info:
  title: Collections API
  description: >-
    API for managing collections


    ### Resource identifier format


    Resource identifiers (the `id` field and related global-identifier fields)
    are returned as JSON

    integers by default. To receive them as strings instead, send the

    `X-Loop-Global-Identifier-Type: string` request header.
  version: v1
servers:
  - url: https://api.loopreturns.com/api/v1
security: []
tags:
  - name: Collections
paths:
  /collections/{id}/products/{productId}:
    delete:
      tags:
        - Collections
      summary: Delete Product from Collection
      description: Delete a product from a collection.
      operationId: deleteProductFromCollection
      parameters:
        - in: path
          name: id
          schema:
            type: integer
            examples:
              - 23141001200513
          required: true
          description: The unique identifier for the collection, created by Loop.
        - in: path
          name: productId
          schema:
            type: integer
            examples:
              - 77892011
          required: true
          description: The unique identifier for the product, created by Loop.
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CollectionWrappedResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundResponse'
      security:
        - write: []
components:
  schemas:
    CollectionWrappedResponse:
      type: object
      required:
        - collection
      properties:
        collection:
          $ref: '#/components/schemas/CollectionResponseData'
    UnauthorizedResponse:
      type: object
      required:
        - errors
      properties:
        errors:
          type: string
          examples:
            - Unauthorized.
    NotFoundResponse:
      type: object
      required:
        - message
      properties:
        message:
          type: string
          examples:
            - Resource not found.
    CollectionResponseData:
      type: object
      required:
        - id
      properties:
        id:
          type: integer
          format: int64
          description: The unique identifier for the collection, created by Loop.
        external_id:
          type:
            - string
            - 'null'
          description: >-
            The identifier used by an external source to identify the
            collection.
        sales_channel:
          type:
            - string
            - 'null'
          description: The name of the channel.
        name:
          type:
            - string
            - 'null'
          description: The name of the collection.
        products:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/ProductResponse'
          description: An array of products associated with the collection.
    ProductResponse:
      title: ProductResponse
      type: object
      properties:
        id:
          type:
            - integer
            - 'null'
          format: int64
          minimum: 1
          examples:
            - 810772
          readOnly: true
        external_id:
          type:
            - string
            - 'null'
          examples:
            - 564400c7-7a6b-4f29-b6a5-7bb580b2992c
        sku:
          type:
            - string
            - 'null'
          examples:
            - SHOES-US44-M-Brwn
        name:
          type:
            - string
            - 'null'
  securitySchemes:
    write:
      name: X-Authorization
      type: apiKey
      in: header
      description: 'API Scope: "Collections (write)"'

````